Bug 92960 - Calc doesn't merge cells correctly when pasting merged content from HTML
Summary: Calc doesn't merge cells correctly when pasting merged content from HTML
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
: 67883 (view as bug list)
Depends on:
Blocks: Paste Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2015-07-27 13:35 UTC by RoMan
Modified: 2020-08-11 21:13 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Table with merged cells in first row (822 bytes, text/html)
2015-07-27 13:35 UTC, RoMan
Details
Table without merged cells in first row (822 bytes, text/html)
2015-07-27 13:36 UTC, RoMan
Details
Inserted table with merged cells in first row in LibreOffice 4.2 (9.03 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-07-27 13:37 UTC, RoMan
Details
Inserted table with merged cells in first row in LibreOffice 3.5 (9.03 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-07-27 13:38 UTC, RoMan
Details
Inserted table with merged cells in first row in LibreOffice 4.2 (18.75 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-07-27 21:03 UTC, RoMan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description RoMan 2015-07-27 13:35:48 UTC
Created attachment 117466 [details]
Table with merged cells in first row

LibreOffice Calc have problem with inserting table with merged cells in first row.

Problem exists in all version >= 4.2 (Ubuntu 14.04 and latest).

Problem does not exists in version 3.5 (Ubuntu 12.04).

How to reproduce:
1) copy table with merged cells in first row
2) insert it in LibreOffice Calc
Comment 1 RoMan 2015-07-27 13:36:39 UTC
Created attachment 117467 [details]
Table without merged cells in first row
Comment 2 RoMan 2015-07-27 13:37:58 UTC Comment hidden (obsolete)
Comment 3 RoMan 2015-07-27 13:38:26 UTC
Created attachment 117469 [details]
Inserted table with merged cells in first row in LibreOffice 3.5
Comment 4 m.a.riosv 2015-07-27 20:55:52 UTC
Please could you explain exactly what is the issue and step by step how to reproduce it.
Comment 5 RoMan 2015-07-27 21:03:46 UTC
Created attachment 117482 [details]
Inserted table with merged cells in first row in LibreOffice 4.2
Comment 6 RoMan 2015-07-27 21:16:41 UTC
Sorry, I attached wrong file "Inserted table with merged cells in first row in LibreOffice 4.2", I replaced it.

How to reproduce:
1) copy table with merged cells in first row (attached)
2) insert it in LibreOffice Calc >= 4.2

inserted table should look as in file:
"Inserted table with merged cells in first row in LibreOffice 3.5"

but it look as in file:
"Inserted table with merged cells in first row in LibreOffice 4.2"

problem exist only if table contain merged cells in first row
Comment 7 RoMan 2015-07-27 21:26:18 UTC
Problem exist in LibreOffice 4.4.4.3 from https://launchpad.net/~libreoffice/+archive/ubuntu/ppa
Comment 8 m.a.riosv 2015-07-27 22:33:37 UTC
From which version are you copying?
Or are you opening the file with 4.2 and pasting in a new file created inside 4.2?
Comment 9 RoMan 2015-07-27 22:37:26 UTC
From HTML table "Table with merged cells in first row"
Comment 10 m.a.riosv 2015-07-27 22:49:26 UTC
Well seems that the issue is pasting (not the same than inserting) from HTML into a spreadsheet.

For me the issue happens not only in the first, but when the merged cells include the last cell in the row. For example in the fifth row.

Please change the title for a better explanation about the issue.
Comment 11 RoMan 2015-07-28 06:09:01 UTC
Title was changed
Comment 12 Christopher M. Penalver 2016-01-13 05:01:46 UTC
I'm going to provide a revamped Description, given it wasn't as obvious as possible what the problem was as originally described:
What is expected to happen is when one opens the following URL via Firefox https://bugs.documentfoundation.org/attachment.cgi?id=117466 > highlights all content in the top row > paste into Calc then A1 contains:
Cell1

and B1 and C1 are merged together containing:
Cell2 + 3

as it does in Excel 2013.

What happens instead is that while cell A1 contains Cell1, B1 and C1 are not merged, and B1 contains Cell2 + 3.
Comment 13 QA Administrators 2017-03-06 13:49:27 UTC Comment hidden (obsolete)
Comment 14 RoMan 2017-03-06 16:09:55 UTC
The bug is still present on:

Ubuntu 16.04, LibreOffice 5.2.5.1 from https://launchpad.net/~libreoffice/+archive/ubuntu/libreoffice-5-2

Ubuntu 16.04, LibreOffice 5.3.0.3 from https://launchpad.net/~libreoffice/+archive/ubuntu/ppa

Windows 10, LibreOffice 5.2.5.1

Windows 10, LibreOffice 5.3.0.3

The bug does not present on LibreOffice 3.5 and lower, it's a regression
Comment 15 Xisco Faulí 2017-03-07 09:54:18 UTC
I can reproduce it in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 16 RoMan 2017-03-07 10:53:40 UTC
From http://downloadarchive.documentfoundation.org/libreoffice/old/

Version 3.6.7.2 (Build ID: e183d5b) - last version without bug
Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89) - first version with bug
Comment 17 Buovjaga 2018-05-23 16:23:40 UTC
Still repro.

Arch Linux 64-bit
Version: 6.1.0.0.alpha1+
Build ID: 5956828c88501ef1366e60010b05053a8e1e642e
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 23rd 2018
Comment 18 Buovjaga 2018-06-30 17:08:12 UTC
Unfortunately, the commit range includes such that make LibreOffice crash upon pasting. Used 43all repo.

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
866567b8f6f645b3fd67aff5e493460c63c5bfa4
8f4aeaad2f65d656328a451154142bb82efa4327
9ce5b0d85edd56bb90464833eb52c0b274449c32
a72763112e846bcb1c4e4c6f1612ccab6ac73772
52abf2b644b9c2396246581d02b1796dd9cd2dff
8641cbd807db765b43d4b98f8865ebf34bc1c4ca
241d451e09694446622f9767fb76db50481c9e32
77e720fb6d169639d8efe43613ae517dd3490394
21334bea86b7167cacd2c436f91b405fcdc83b98
98e26b741cd0eff4b7549d782d7db5a1e98eb1a6
458ab868acbc40422ffe2093f3dd28c8bfac3305
ba2b3f1f9d9e4a2edd571a16dab7746bd17ee03a
5bac99c03c8d9c687c11c53285a65e79af6c8ef5
6d8bd8dba8e0b0a4c2efd95b03c2b5656646bf33
7d3d1a6f00503d8d402f5069e746ec5eb492a096
bf9969effb2f759d95ecbb1a688e25f75a78da16
2da15b0933b13a6a96a60bf2f84cfd1d012051e0
2e349599ef946cf01cfe40929509254c596fdca3
0e54cced22ee8d216a783202cf26384317db0959
cf8644ffc4c66e8567e9c4be706caac879032caf
7d63b17e3d3fe488e34de32ffa042559dbad3cfd
d2720e99b9e6cb7b099256cc7a6d2b3f907b8d7c
77c163b8bed3972f153b1fbb7fdcd956073f4873
a035fba5e34dc12e2b1796af6ec46f04647a3576
03a729c328bfa2eafca37f1a2d0796c6575b9e61
18518588d8414f446ece5591944766f5082ebef5
44ae604621f386a254b6c8fb7599b2c176245149
80860139a96019d7487e02c7b488a8990e1e524f
bc819bc0c4d8592212f84069eb7f65e539517166
We cannot bisect more!
Comment 19 Johnny_M 2019-08-11 12:25:09 UTC
This looks like a duplicate of the bug 67883.
Comment 20 Buovjaga 2019-08-11 13:11:07 UTC
*** Bug 67883 has been marked as a duplicate of this bug. ***
Comment 21 stragu 2020-08-11 21:13:52 UTC
Reproducible in LO 7.0.0 as per comment 12.

Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded